使用composer安装Yii报错

composer create-project yiisoft/yii2-app-basic basic
执行上述命令回报出下面错误。

[Composer\Repository\InvalidRepositoryException]
No valid bower.json was found in any branch or tag of https://github.com/bestiejs/punycode.js.git, could not load a package from it.

可以使用github账号内的授权码来解决此问题。
获取授权码:在github登录状态下访问,https://github.com/settings/tokens
点击“Generate new token”即可创建新的github授权码“XXXXXXXXXX”

编辑composer.json文件:在”config”: {“process-timeout”: 1800}, 这里}
加入github授权码配置
“github-oauth”: {“github.com”: “XXXXXXXXXX”}

最后命令行进入项目文件夹basic,
执行composer update
等更新完成即可Yii安装成功。